Gecode::Int::Linear::PosSupportIter< Val > Class Template Reference

Support-based iterator for positive view. More...

`#include <int-dom.hpp>`

## Public Member Functions

bool | reset (Val &d)
| Reset iterator to beginning and adjust.
bool | adjust (Val &d)
| Adjust.
Public Member Functions inherited from Gecode::Int::Linear::SupportIter< Val >
void | init (Region &r, int a, const IntView &x, Val l, Val u)
| Initialize view.
void | support (void)
| Record value at current position as supported.
ModEvent | tell (Space &home)
| Tell back new variable domain according to support found.

## Additional Inherited Members

Protected Attributes inherited from Gecode::Int::Linear::SupportIter< Val >
int | a
| Integer coefficient for view.
IntView | x
| Integer view.
SupportSet | s
| Set of support for values in x.
int | c
| Current value.
unsigned int | p
| Position of current value.
Val | l
| Lower bound information for value.
Val | u
| Upper bound information for value.

## Detailed Description

template<class Val>
class Gecode::Int::Linear::PosSupportIter< Val >

Support-based iterator for positive view.

Definition at line 113 of file int-dom.hpp.

## Member Function Documentation

## reset()

template<class Val>

bool Gecode::Int::Linear::PosSupportIter< Val >::reset | ( | Val & | d | ) |

inline

Reset iterator to beginning and adjust.

- d accordingly

Definition at line 240 of file int-dom.hpp.

## adjust()

template<class Val>

bool Gecode::Int::Linear::PosSupportIter< Val >::adjust | ( | Val & | d | ) |

inline

Adjust.

- d and return true if next value still works

Definition at line 264 of file int-dom.hpp.

The documentation for this class was generated from the following file:

- gecode/int/linear/int-dom.hpp